import { foundationAccordionItemStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidAccordionItemStyles = (context, definition) => css `
  ${foundationAccordionItemStyles(context, definition)}

  :host {
    --icon-container-calculator: calc(
      (6 + (var(--design-unit) * 6)) * 1px
    ); /* height of section - (padding top +padding-bottom) */

    --icon-margin-calculation: calc((6 + (var(--design-unit) * 2 * var(--density))) * 1px);
  }

  .region {
    padding: 0 calc((16 + (var(--design-unit) * 2 * var(--density))) * 1px);
    color: var(--accent-foreground-rest);
  }

  :host([expanded]) .region {
    color: var(--accent-foreground-rest);
  }

  slot[name='expanded-icon'] {
    display: none;
    stroke: none;
  }

  slot[name='collapsed-icon'] path.plus-sign,
  slot[name='expanded-icon'] path.minus-sign {
    stroke: white;
  }

  slot[name='expanded-icon'],
  slot[name='collapsed-icon'] {
    background: var(--neutral-fill-rest);
    fill: none;
    stroke: none;
    height: calc(((var(--design-unit) * 4)) * 1px);
    width: calc(((var(--design-unit) * 4)) * 1px);
  }

  svg:not(:root) {
    height: calc(((var(--design-unit) * 4)) * 1px);
    width: calc(((var(--design-unit) * 4)) * 1px);
  }

  .icon {
    height: var(
      --icon-container-calculator
    ); /* UX 30px* for now it's 30 on default design unit - 4/ */

    width: var(--icon-container-calculator); /* UX 30px */
    margin: var(--icon-margin-calculation) var(--icon-margin-calculation)
      var(--icon-margin-calculation) 0;
  }

  .button {
    padding: 0 calc((8 + (var(--design-unit) * 2 * var(--density))) * 1px) 0
      calc((16 + (var(--design-unit) * 2 * var(--density))) * 1px);
  }

  .heading {
    grid-template-columns: auto 1fr auto;
    align-items: center;
  }
`;
