import { html } from 'lit-html';
import { logger } from '../utils/logger';
const meta = {
    title: 'Actions Menu',
    component: 'rapid-actions-menu',
};
export default meta;
const rapidActions = [
    {
        name: 'View',
        callback: (rowData) => logger.debug('VIEWW!!!', rowData),
    },
    {
        name: 'Delete',
        callback: (rowData) => logger.debug('DELETE!!!', rowData),
    },
    {
        name: 'Edit',
        callback: (rowData) => logger.debug('EDIT!!!', rowData),
    },
    {
        name: 'Wait',
        callback: (rowData) => logger.debug('WAIT???', rowData),
    },
];
const definition = {
    actions: rapidActions,
    buttonAppearance: 'stealth',
    data: { name: 'test' },
};
const horizontalStyle = 'flex: 1; display: flex; justify-content: center;';
export const Horizontal = {
    args: {
        actions: rapidActions,
        actionsOpenerText: 'Horizontal Actions',
        definition,
        isVertical: false,
    },
    render: (args) => html `
    <div style="${horizontalStyle}">
      <rapid-actions-menu
        .name=${args.actionsOpenerText}
        .definition=${args.definition}
        .actions=${args.actions}
        is-vertical=${args.isVertical}
      ></rapid-actions-menu>
    </div>
  `,
};
const verticalStyle = 'flex: 1; display: flex; height: 400px; justify-content: center;';
export const Vertical = {
    args: {
        actions: rapidActions,
        actionsOpenerText: 'Vertical Actions',
        definition,
        isVertical: true,
    },
    render: (args) => html `
    <div style="${verticalStyle}">
      <rapid-actions-menu
        .name=${args.actionsOpenerText}
        .definition=${args.definition}
        .actions=${args.actions}
        is-vertical=${args.isVertical}
      ></rapid-actions-menu>
    </div>
  `,
};
