import { html } from 'lit-html';
const meta = {
    title: 'Anchored Region',
    component: 'rapid-anchored-region',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: column;';
const viewportStyle = 'margin-top: 20px; display: flex; justify-content: center; align-items: center; color: var(--neutral-foreground-rest)';
const anchorRegionTopTemplate = {
    render: ({ anchorText, verticalDefaultPosition }) => html `
    <div style=${wrapperStyle}>
      <div id="viewport" style=${viewportStyle}>
        <rapid-button id="anchor-b1">Button is an anchor</rapid-button>
        <rapid-anchored-region
          anchor="anchor-b1"
          vertical-positioning-mode="locktodefault"
          vertical-default-position=${verticalDefaultPosition}
        >
          <h6>${anchorText}</h6>
        </rapid-anchored-region>
      </div>
    </div>
  `,
};
const anchorRegionBottomTemplate = {
    render: ({ anchorText, verticalDefaultPosition }) => html `
    <div style=${wrapperStyle}>
      <div id="viewport" style=${viewportStyle}>
        <rapid-button id="anchor-b2">Button is an anchor</rapid-button>
        <rapid-anchored-region
          anchor="anchor-b2"
          vertical-positioning-mode="locktodefault"
          vertical-default-position=${verticalDefaultPosition}
        >
          <h6>${anchorText}</h6>
        </rapid-anchored-region>
      </div>
    </div>
  `,
};
export const Default = Object.assign({ args: {
        anchorText: 'This will show above button',
        verticalDefaultPosition: 'top',
    }, argTypes: {
        verticalDefaultPosition: {
            control: 'select',
            options: ['top', 'bottom'],
        },
    } }, anchorRegionTopTemplate);
export const Bottom = Object.assign({ args: {
        anchorText: 'This will show below button',
        verticalDefaultPosition: 'bottom',
    }, argTypes: {
        verticalDefaultPosition: {
            control: 'select',
            options: ['top', 'bottom'],
        },
    } }, anchorRegionBottomTemplate);
