import { html } from 'lit-html';
const meta = {
    title: 'Avatar',
    component: 'rapid-avatar',
};
export default meta;
const wrapperStyle = 'display: flex; padding: 10px; gap: 1em; height: 500px;';
export const Default = {
    args: {
        src: 'https://avataaars.io/?avatarStyle=Circle&topType=LongHairStraight&accessoriesType=Blank&hairColor=BrownDark&facialHairType=Blank&clotheType=BlazerShirt&eyeType=Default&eyebrowType=Default&mouthType=Default&skinColor=Light',
        link: '#',
        alt: "Annie's profile image",
        shape: 'circle',
        initials: 'AJ',
        name: 'Annie James',
        fill: 'accent-primary',
        fillColor: '#196fe6',
    },
    argTypes: {
        shape: {
            control: 'select',
            options: ['circle', 'square'],
        },
        fillColor: {
            control: 'color',
        },
    },
    render: ({ initials, link, alt, shape, fill, name, fillColor }) => html `
    <div style="${wrapperStyle}  --avatar-fill-${fill}: ${fillColor}">
      <rapid-avatar alt="${alt}" link="${link}" shape="${shape}" fill="${fill}" name="${name}">
        ${initials}
      </rapid-avatar>
    </div>
  `,
};
export const WithImage = {
    args: {
        avatarSource: 'https://avataaars.io/?avatarStyle=Circle&topType=LongHairStraight&accessoriesType=Blank&hairColor=BrownDark&facialHairType=Blank&clotheType=BlazerShirt&eyeType=Default&eyebrowType=Default&mouthType=Default&skinColor=Light',
        link: '#',
        alt: "Annie's profile image",
        shape: 'circle',
        initials: 'AJ',
        name: 'Annie James',
        fill: 'accent-primary',
        fillColor: '#196fe6',
    },
    argTypes: {
        shape: {
            control: 'select',
            options: ['circle', 'square'],
        },
        fillColor: {
            control: 'color',
        },
    },
    render: ({ avatarSource, link, alt, shape, fill, fillColor }) => html `
    <div style="${wrapperStyle}   --avatar-fill-${fill}: ${fillColor}">
      <rapid-avatar
        src="${avatarSource}"
        alt="${alt}"
        link="${link}"
        shape="${shape}"
        fill="${fill}"
      ></rapid-avatar>
    </div>
  `,
};
