import { html } from 'lit-html';
import { repeat } from 'lit-html/directives/repeat.js';
const meta = {
    title: 'Badge',
    component: 'rapid-badge',
};
export default meta;
const badges = ['primary', 'neutral', 'warning', 'danger', 'success', 'sell', 'buy'];
const wrapperStyle = 'display: flex; justify-content: center; gap: 16px;';
export const All = {
    render: () => html `
    <div style="${wrapperStyle}">
      ${repeat(badges, (item) => item, (item) => html `
          <rapid-badge fill="${item}" color="text">Rapid Badge</rapid-badge>
        `)}
    </div>
  `,
};
export const Primary = {
    args: {
        fill: 'primary',
        badgeText: 'Rapid Badge',
        badgeText2: '12',
    },
    argTypes: {
        fill: {
            control: 'select',
            options: badges,
        },
    },
    render: ({ fill, badgeText, badgeText2 }) => html `
    <div style="${wrapperStyle}">
      <rapid-badge fill="${fill}" color="text">${badgeText}</rapid-badge>
      <rapid-badge fill="${fill}" color="text">${badgeText2}</rapid-badge>
    </div>
  `,
};
export const Neutral = {
    args: {
        fill: 'neutral',
        badgeText: 'Rapid Badge',
        badgeText2: '12',
    },
    argTypes: {
        fill: {
            control: 'select',
            options: badges,
        },
    },
    render: ({ fill, badgeText, badgeText2 }) => html `
    <div style="${wrapperStyle}">
      <rapid-badge fill="${fill}" color="text">${badgeText}</rapid-badge>
      <rapid-badge fill="${fill}" color="text">${badgeText2}</rapid-badge>
    </div>
  `,
};
