import { html } from 'lit-html';
const meta = {
    title: 'Banner',
    component: 'rapid-banner',
};
export default meta;
const showNotify = (notifyText) => {
    var _a;
    let errorBanner = document.querySelector('#js-banner');
    if (!errorBanner) {
        errorBanner = document.createElement('rapid-banner');
        errorBanner.id = 'js-banner';
        (_a = document.querySelector('#rapid-banner')) === null || _a === void 0 ? void 0 : _a.appendChild(errorBanner);
    }
    errorBanner.notification = {
        title: 'Notify Title',
        body: `${notifyText} ID - notify - ${Math.random()}`,
        config: {
            banner: {
                confirmingActions: [
                    {
                        label: 'Action',
                        action: () => {
                            alert('Action in progress');
                        },
                    },
                ],
            },
        },
    };
};
const ignoreClick = (e) => {
    const banner = document.querySelector('#banner');
    banner.dismiss();
};
export const Primary = {
    args: {
        notifyText: 'Lorem ipsum dolor sit amet consectetur adipisicing elit.',
        bannerText: ` Lorem ipsum dolor sit amet consectetur adipisicing elit. Lorem ipsum dolor sit amet.
      Lorem, ipsum dolor.`,
        actionIgnoreActionText: 'Ignore',
        actionDemoText: 'Diagnose',
        actionButtonAppearance: 'link',
    },
    argTypes: {
        actionButtonAppearance: {
            control: 'select',
            options: ['primary', 'primary-outline', 'neutral', 'neutral-outline', 'link'],
        },
    },
    render: ({ bannerText, notifyText, actionButtonAppearance, actionIgnoreActionText, actionDemoText, }) => html `
    <div style="display: flex; flex-direction: column; color: var(--neutral-foreground-rest)">
      <h5>Banner with slots</h5>
      <rapid-banner id="banner">
        <div slot="content">${bannerText}</div>
        <rapid-button slot="action" @click="${ignoreClick}" appearance="${actionButtonAppearance}">
          ${actionIgnoreActionText}
        </rapid-button>
        <rapid-button slot="action" appearance="${actionButtonAppearance}">
          ${actionDemoText}
        </rapid-button>
      </rapid-banner>
      <h5>Empty Banner</h5>
      <rapid-banner></rapid-banner>
      <div id="rapid-banner" style="width: 100%;">
        <rapid-button style="margin-bottom: 12px;" @click="${() => showNotify(notifyText)}">
          Show Rapid Banner - Notification Structure
        </rapid-button>
      </div>
    </div>
  `,
};
