// eslint-disable-next-line import/order
import { designSystemProvider } from './design-system-provider';
import { rapidAccordion } from './accordion';
import { rapidAccordionItem } from './accordion-item';
import { rapidActionsMenu } from './actions-menu';
import { rapidAnchor } from './anchor';
import { rapidAnchoredRegion } from './anchored-region';
import { rapidAvatar } from './avatar';
import { rapidBadge } from './badge';
import { rapidBanner } from './banner';
import { rapidBreadcrumb } from './breadcrumb';
import { rapidBreadcrumbItem } from './breadcrumb-item';
import { rapidButton } from './button';
import { rapidCalendar } from './calendar';
import { rapidCard } from './card';
import { rapidCategorizedMultiselect } from './categorized-multiselect';
import { rapidCheckbox } from './checkbox';
import { rapidCombobox } from './combobox';
import { rapidConnectionIndicator } from './connection-indicator';
import { rapidDataGrid } from './data-grid';
import { rapidDataGridCell } from './data-grid-cell';
import { rapidDataGridRow } from './data-grid-row';
import { rapidDatePicker } from './date-picker';
import { rapidDialog } from './dialog';
import { rapidDisclosure } from './disclosure';
import { rapidDivider } from './divider';
import { rapidDropdownMenu } from './dropdown-menu';
import { rapidErrorBoundary } from './error-boundary';
import { rapidFileUpload } from './file-upload';
import { rapidFilter } from './filter';
import { rapidFilterBar } from './filter-bar';
import { rapidFlexLayout } from './flex-layout';
import { rapidFlipper } from './flipper';
import { rapidFlyout } from './flyout';
import { rapidGridLayout } from './grid-layout';
import { rapidGridLayoutItem } from './grid-layout-item';
import { rapidHorizontalScroll } from './horizontal-scroll';
import { rapidIcon } from './icon';
import { rapidListbox } from './listbox';
import { rapidListboxOption } from './listbox-option';
import { rapidMenu } from './menu';
import { rapidMenuItem } from './menu-item';
import { rapidModal } from './modal';
import { rapidMultiselect } from './multiselect';
import { rapidNotificationListener } from './notification-listener';
import { rapidNumberField } from './number-field';
import { rapidSystemHealthOverlay } from './overlays';
import { rapidProgress } from './progress';
import { rapidProgressRing } from './progress-ring';
import { rapidRadio } from './radio';
import { rapidRadioGroup } from './radio-group';
import { rapidSearchBar, rapidSearchBarCombobox } from './search-bar';
import { rapidSegmentedControl } from './segmented-control';
import { rapidSegmentedItem } from './segmented-item';
import { rapidSelect } from './select';
import { rapidSkeleton } from './skeleton';
import { rapidSlider } from './slider';
import { rapidSliderLabel } from './slider-label';
import { rapidSnackbar } from './snackbar';
import { rapidStackingIcons } from './stacking-icons';
import { rapidStepper } from './stepper';
import { rapidStepperTab } from './stepper-tab';
import { rapidStepperTabPanel } from './stepper-tab-panel';
import { rapidSwitch } from './switch';
import { rapidTab } from './tab';
import { rapidTabPanel } from './tab-panel';
import { rapidTabs } from './tabs';
import { rapidTextArea } from './text-area';
import { rapidTextField } from './text-field';
import { rapidToast } from './toast';
import { rapidToolbar } from './toolbar';
import { rapidTooltip } from './tooltip';
import { rapidTreeItem } from './tree-item';
import { rapidTreeView } from './tree-view';
import { rapidUrlInput } from './url-input';
export const baseComponents = {
    designSystemProvider,
    rapidAccordion,
    rapidAccordionItem,
    rapidActionsMenu,
    rapidAnchor,
    rapidAnchoredRegion,
    rapidAvatar,
    rapidBadge,
    rapidBanner,
    rapidBreadcrumb,
    rapidBreadcrumbItem,
    rapidButton,
    rapidCalendar,
    rapidCard,
    rapidCategorizedMultiselect,
    rapidCheckbox,
    rapidCombobox,
    rapidConnectionIndicator,
    rapidDataGrid,
    rapidDataGridCell,
    rapidDataGridRow,
    rapidDatePicker,
    rapidDialog,
    rapidDisclosure,
    rapidDivider,
    rapidDropdownMenu,
    rapidErrorBoundary,
    rapidFileUpload,
    rapidFilter,
    rapidFilterBar,
    rapidFlexLayout,
    rapidFlipper,
    rapidFlyout,
    rapidGridLayout,
    rapidGridLayoutItem,
    rapidHorizontalScroll,
    rapidIcon,
    rapidListbox,
    rapidListboxOption,
    rapidMenu,
    rapidMenuItem,
    rapidModal,
    rapidMultiselect,
    rapidNotificationListener,
    rapidNumberField,
    rapidProgress,
    rapidProgressRing,
    rapidRadio,
    rapidRadioGroup,
    rapidSearchBar,
    rapidSearchBarCombobox,
    rapidSegmentedControl,
    rapidSegmentedItem,
    rapidSelect,
    rapidSkeleton,
    rapidSlider,
    rapidSliderLabel,
    rapidSnackbar,
    rapidStackingIcons,
    rapidStepper,
    rapidStepperTab,
    rapidStepperTabPanel,
    rapidSwitch,
    rapidSystemHealthOverlay,
    rapidTab,
    rapidTabPanel,
    rapidTabs,
    rapidTextArea,
    rapidTextField,
    rapidToast,
    rapidToolbar,
    rapidTooltip,
    rapidTreeItem,
    rapidTreeView,
    rapidUrlInput,
    register(container, ...rest) {
        if (!container) {
            // preserve backward compatibility with code that loops through
            // the values of this object and calls them as funcs with no args
            return;
        }
        for (const key in this) {
            if (key === 'register') {
                continue;
            }
            this[key]().register(container, ...rest);
        }
    },
};
