import { html } from 'lit-html';
const meta = {
    title: 'Breadcrumb',
    component: 'rapid-breadcrumb',
};
export default meta;
export const Default = {
    args: {
        breadcrumbItemsText: 'Breadcrumb Item',
        breadcrumbCurrentItemText: 'Current Page',
    },
    render: ({ breadcrumbItemsText, breadcrumbCurrentItemText }) => html `
    <rapid-breadcrumb>
      <rapid-breadcrumb-item href="#">${breadcrumbItemsText} 1</rapid-breadcrumb-item>
      <rapid-breadcrumb-item href="#">${breadcrumbItemsText} 2</rapid-breadcrumb-item>
      <rapid-breadcrumb-item>${breadcrumbCurrentItemText}</rapid-breadcrumb-item>
    </rapid-breadcrumb>
  `,
};
export const WithIcon = {
    args: {
        breadcrumbItemsText: 'Breadcrumb Item',
        breadcrumbCurrentItemText: 'Current Page',
    },
    render: ({ breadcrumbItemsText, breadcrumbCurrentItemText }) => html `
    <rapid-breadcrumb>
      <rapid-breadcrumb-item href="#">
        <rapid-icon name="folder" size="md" variant="regular" slot="start"></rapid-icon>
      </rapid-breadcrumb-item>
      <rapid-breadcrumb-item href="#">${breadcrumbItemsText} 1</rapid-breadcrumb-item>
      <rapid-breadcrumb-item href="#">${breadcrumbItemsText} 2</rapid-breadcrumb-item>
      <rapid-breadcrumb-item>${breadcrumbCurrentItemText}</rapid-breadcrumb-item>
    </rapid-breadcrumb>
  `,
};
