import { html } from 'lit-html';
const meta = {
    title: 'Card',
    component: 'rapid-card',
};
export default meta;
const wrapperStyle = 'display: flex; height: 400px; width: 100%; justify-content: center;';
const cardStyle = 'height: 50%; width: 50%; padding: 16px;';
const args = {
    cardLevel1Color: '#2d353a',
    cardLevel2Color: '#262d31',
    cardHeading: 'Card 1',
    cardText: 'This is a Rapid Card (and the only one with without extra fui elements!)',
};
export const Default = {
    args,
    render: ({ cardLevel1Color, cardHeading, cardText }) => html `
    <div style="${wrapperStyle} --neutral-layer-card-container:${cardLevel1Color}">
      <rapid-card style="${cardStyle}">
        <h6>${cardHeading}</h6>
        <span>${cardText}</span>
      </rapid-card>
    </div>
  `,
};
export const NestedCards = {
    args,
    render: ({ cardLevel1Color, cardLevel2Color, cardHeading, cardText }) => html `
    <div
      style="${wrapperStyle} height: 600px;  --neutral-layer-card-container:${cardLevel1Color}; --neutral-layer-3:${cardLevel2Color}"
    >
      <rapid-card style="${cardStyle}">
        <rapid-card style="${cardStyle}">
          <h6>${cardHeading}</h6>
          <span>${cardText}</span>
        </rapid-card>
      </rapid-card>
    </div>
  `,
};
