import { html } from 'lit-html';
const meta = {
    title: 'Categorized Multiselect',
    component: 'rapid-categorized-multiselect',
};
export default meta;
const disabledCountriesExample = [
    {
        type: 'Test Type 1',
        value: 'AFG',
        label: 'Afghanistan',
        disabled: false,
    },
    {
        type: 'Test Type 1',
        value: 'ALA',
        label: 'Aland Islands',
    },
    {
        type: 'Test Type 2',
        value: 'ALB',
        label: 'Albania',
        disabled: false,
    },
    {
        type: 'Test Type 1',
        value: 'ALG',
        label: 'Algeria',
        disabled: false,
    },
    {
        type: 'Test Type 3',
        value: 'AND',
        label: 'Andorra',
        disabled: true,
    },
    {
        type: 'Test Type 2',
        value: 'ARG',
        label: 'Argentina',
        disabled: true,
    },
    {
        type: 'Test Type 3',
        value: 'ARM',
        label: 'Armenia',
        disabled: false,
    },
    {
        type: 'Test Type 1',
        value: 'AUS',
        label: 'Australia',
        disabled: false,
    },
    {
        type: 'Test Type 1',
        value: 'AUT',
        label: 'Austria',
        disabled: true,
    },
    {
        value: 'AZE',
        label: 'Azerbaijan',
        disabled: false,
    },
];
export const Primary = {
    render: ({ name, text, countries, search, autoPosition }) => html `
    <div style="min-height: 400px;">
      <rapid-categorized-multiselect
        name="${name}"
        .options="${countries}"
        auto-position="${autoPosition}"
        search="${search}"
      >
        ${text}
      </rapid-categorized-multiselect>
    </div>
  `,
    args: {
        name: 'Countries',
        text: 'Add New Country',
        search: true,
        countries: disabledCountriesExample,
        autoPosition: false,
    },
};
