import { html } from 'lit-html';
const meta = {
    title: 'Combobox',
    component: 'rapid-combobox',
};
export default meta;
const wrapperStyle = 'height: 500px; width: 100%; display: flex; justify-content: center; align-items: center;';
const OptionsMapperTemplate = {
    render: ({ options, position }) => html `
    <div style="${wrapperStyle}">
      <rapid-combobox position="${position}">
        ${options.map((option) => html `
            <rapid-option value="${option.value}">${option.text}</rapid-option>
          `)}
      </rapid-combobox>
    </div>
  `,
};
const optionsData = [
    { text: 'Rapid Option 1', value: 1 },
    { text: 'Rapid Option 2', value: 2 },
    { text: 'Rapid Option 3', value: 3 },
    { text: 'Rapid Option 4', value: 4 },
    { text: 'Rapid Option 5', value: 5 },
];
export const Primary = Object.assign(Object.assign({}, OptionsMapperTemplate), { argTypes: {
        position: {
            control: 'select',
            options: ['above', 'below'],
        },
    }, args: {
        options: optionsData,
        position: 'below',
    } });
