import { foundationComboboxStyles } from '@genesislcap/foundation-ui';
import { designUnit } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
export const rapidComboboxStyles = (context, definition) => css `
  ${foundationComboboxStyles(context, definition)}
  :host {
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    background-color: color-mix(in srgb, var(--neutral-fill-input-rest), transparent 94%);
    height: calc(
      (((var(--base-height-multiplier) + var(--density)) * var(--design-unit)) - 2) * 1px
    );
    margin-bottom: calc(var(--design-unit) * 2px);
  }

  :host(:focus-within:not([disabled])) {
    background-color: var(--neutral-layer-4);
    border: 1px solid var(--accent-fill-rest);
  }

  :host(:hover:not([disabled]):not([open])) {
    border-color: var(--neutral-stroke-hover);
    background: none;
  }

  :host([open][position='below']) .listbox {
    padding: 0;
    margin-top: calc(${designUnit} * 1px);
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    border-radius: calc(var(--control-corner-radius) * 1px);
  }

  :host .listbox ::slotted(*:last-child) {
    border-bottom: none;
  }

  .control {
    padding: 0 calc((var(--design-unit) - 1) * 1px) 0 calc(var(--design-unit) * 2px);
  }

  :host(:not([disabled])) .control:active {
    background: none;
  }

  .indicator {
    width: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
    height: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
    background-color: var(--neutral-fill-rest);
    border-radius: calc(var(--control-corner-radius) * 1px);
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .combo-box-indicator {
    width: 1em;
    height: 1em;
    transition: all 0.35s;
  }

  .selected-value {
    height: calc(100% - (var(--design-unit) * 1px));
    padding: 0;
    margin: 0;
  }

  :host(:focus-within:not([disabled])) .indicator {
    background-color: transparent;
  }

  :host([open]) .combo-box-indicator {
    transition: all 0.35s;
    transform: rotate(180deg);
  }

  ::slotted([role='option']) {
    margin: 0;
  }
`;
// TODO: check if combo-box-indicator(svg) size needs to be made configurable
