import { html } from 'lit-html';
const meta = {
    title: 'Dialog',
    component: 'rapid-dialog',
};
export default meta;
const showDialog = (e) => {
    const dialog = document.querySelector('rapid-dialog');
    dialog.show();
};
const closeDialog = (e) => {
    const dialog = document.querySelector('rapid-dialog');
    dialog.close();
};
export const Primary = {
    argTypes: {
        dialogType: {
            control: 'select',
            options: ['default', 'error', 'success'],
        },
    },
    args: {
        dialogMaxWidth: '557px',
        dialogTitle: 'Dialog Title',
        dialogInitialText: 'Some text in a Rapid Dialog',
        dialogMainText: `Lorem ipsum dolor sit amet consectetur adipisicing elit. Quis similique iste ab sed
      voluptatem ut suscipit tenetur distinctio? Quo est debitis pariatur qui quisquam repudiandae
      at atque et quibusdam rerum, reprehenderit sed laborum officiis distinctio dolorum
      temporibus aperiam dolor consequatur perferendis aspernatur fugit repellendus asperiores,
      voluptas illo? Voluptatum, atque quidem?`,
        dialogCloseButtonText: 'Close this dialog',
        dialogType: 'default',
    },
    render: ({ dialogMaxWidth, dialogTitle, dialogInitialText, dialogMainText, dialogCloseButtonText, dialogType, }) => html `
    <rapid-button @click="${showDialog}">Show Rapid Dialog</rapid-button>
    <rapid-dialog style="--dialog-max-width: ${dialogMaxWidth};" type=${dialogType}>
      <div slot="top">${dialogTitle}</div>
      <p>${dialogInitialText}</p>
      <p>${dialogMainText}</p>
      <rapid-button @click="${closeDialog}" slot="bottom">${dialogCloseButtonText}</rapid-button>
    </rapid-dialog>
  `,
};
