import { foundationDialogStyles } from '@genesislcap/foundation-ui';
import { neutralForegroundRest, neutralLayer2 } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
export const rapidDialogStyles = css `
  ${foundationDialogStyles}
  :host {
    --dialog-background: ${neutralLayer2};

    font-family: var(--body-font);
    font-size: var(--type-ramp-base-font-size);
    line-height: var(--type-ramp-base-line-height);
  }

  dialog {
    position: fixed;
    top: 0;
    bottom: 0;
    border-radius: calc(var(--control-corner-radius) * 1px);
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    text-align: left;
    line-height: normal;
    box-shadow: 0 2px 15px 0 rgb(0 0 0 / 35%);
  }

  .top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--neutral-foreground-rest);
    margin-bottom: calc(var(--design-unit) * 2px);
    font-weight: 500;
  }

  .bottom {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    color: var(--neutral-foreground-rest);
    gap: calc(var(--design-unit) * 2px);
  }

  :host slot:first-of-type {
    color: ${neutralForegroundRest};
  }

  ::slotted(rapid-button) {
    margin-top: calc(var(--design-unit) * 4px - 1px);
  }

  .content-wrapper {
    min-width: var(--dialog-min-width);
    min-height: var(--dialog-min-height);
    height: fit-content;
    width: fit-content;
    max-width: var(--dialog-max-width);
    max-height: var(--dialog-max-height);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: stretch;
  }

  .close-icon:hover svg {
    background-color: color-mix(in srgb, var(--neutral-foreground-rest), transparent 95%);
  }

  .close-icon svg g path {
    fill: color-mix(in srgb, var(--neutral-foreground-rest), transparent 50%);
  }

  .close-icon:hover svg g path {
    fill: var(--neutral-foreground-rest);
  }

  .close-icon:active svg {
    background-color: var(--neutral-layer-4);
  }

  .close-icon:active svg g path {
    fill: color-mix(in srgb, var(--neutral-foreground-rest), transparent 67%);
  }
`;
