import { html } from 'lit-html';
const meta = {
    title: 'Divider',
    component: 'rapid-divider',
    tags: ['autodocs'],
};
export default meta;
export const Primary = {
    argTypes: {
        orientation: {
            control: 'select',
            options: ['horizontal', 'vertical'],
        },
        role: {
            control: 'select',
            options: ['separator', 'presentation'],
        },
    },
    args: {
        orientation: 'horizontal',
        role: 'separator',
    },
    render: ({ orientation, role }) => html `
    <div style="display: flex;">
      <div
        style="display: flex; justify-content:center; width: 100%; ${orientation === 'vertical'
        ? 'flex-direction: row;'
        : 'flex-direction: column;'}"
      >
        <rapid-button style="flex: 1;"></rapid-button>
        <rapid-divider orientation="${orientation}" role="${role}"></rapid-divider>
        <rapid-button style="flex: 1;"></rapid-button>
      </div>
    </div>
  `,
};
