import { defaultFileUploadConfig as foundationConfig, FileUpload as FoundationFileUpload, foundationFileUploadShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidFileUploadStyles } from './file-upload.styles';
import { fileUploadTemplate as template } from './file-upload.template';
export const defaultFileUploadConfig = foundationConfig;
export const rapidFileUploadShadowOptions = foundationFileUploadShadowOptions;
/**
 * @tagname %%prefix%%-file-upload
 */
export class FileUpload extends FoundationFileUpload {
}
/**
 * The Rapid FileUpload
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-file-upload\>
 */
export const rapidFileUpload = FileUpload.compose(Object.assign({ baseName: 'file-upload', shadowOptions: rapidFileUploadShadowOptions, styles: rapidFileUploadStyles, template }, defaultFileUploadConfig));
