import { html } from 'lit-html';
const meta = {
    title: 'Filter',
    component: 'rapid-filter',
};
export default meta;
const wrapperStyle = 'display: flex;min-height:300px;';
export const Default = {
    args: {
        type: 'boolean',
        fieldName: 'SOME_FIELD',
    },
    argTypes: {
        type: {
            control: 'select',
            options: ['text', 'boolean', 'date', 'number'],
        },
    },
    render: ({ type, fieldName }) => html `
    <rapid-filter type="${type}" fieldName="${fieldName}"></rapid-filter>
  `,
};
export const Multiple = {
    render: () => html `
    <div style="${wrapperStyle}">
      <rapid-filter type="text" fieldName="SOME_TEXT_FIELD"></rapid-filter>
      <rapid-filter type="boolean" fieldName="SOME_BOOLEAN_FIELD"></rapid-filter>
      <rapid-filter type="date" fieldName="SOME_DATE_FIELD"></rapid-filter>
      <rapid-filter type="number" fieldName="SOME_NUMERIC_FIELD"></rapid-filter>
    </div>
  `,
};
