import { html } from 'lit-html';
const meta = {
    title: 'Flyout',
    component: 'rapid-flyout',
};
export default meta;
const openFlyout = () => {
    const rapidFlyout = document.querySelector(`rapid-flyout`);
    rapidFlyout.closed = false;
};
const closeFlyout = () => {
    const rapidFlyout = document.querySelector(`rapid-flyout`);
    rapidFlyout.closed = true;
};
export const Primary = {
    argTypes: {
        position: {
            control: 'select',
            options: ['left', 'right'],
        },
    },
    args: {
        position: 'right',
        height: '600px',
        flyoutWidth: '20%',
    },
    render: ({ position, height, flyoutWidth }) => html `
    <div style="display: flex; height: ${height};">
      <rapid-button @click="${openFlyout}">Open Flyout</rapid-button>

      <style>
        rapid-flyout::part(flyout) {
          width: ${flyoutWidth};
        }
      </style>
      <rapid-flyout position="${position}" style="height: ${height};">
        <p slot="title">Rapid flyout</p>
        <div slot="header">
          <p>Header</p>
        </div>
        <div class="container">
          <p>Flyout options</p>
          <ul>
            <li>Option 1</li>
            <li>Option 2</li>
            <li>Option 3</li>
            <li>Option 4</li>
            <li>Option 5</li>
          </ul>
        </div>
        <div slot="footer">
          <p>Footer</p>
          <rapid-button @click="${closeFlyout}">Close Flyout</rapid-button>
        </div>
      </rapid-flyout>
    </div>
  `,
};
