import { foundationFlyoutStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidFlyoutStyles = css `
  ${foundationFlyoutStyles}
  div.flyout {
    background-color: var(--neutral-layer-2);
    border-color: var(--neutral-fill-hover);
    color: var(--neutral-foreground-rest);
    padding: calc(var(--design-unit) * 4px);
  }

  div.background {
    padding: calc(var(--design-unit) * 4px) 0;
  }

  :host {
    font-size: var(--type-ramp-base-font-size);
    font-family: var(--body-font);
    line-height: var(--type-ramp-base-line-height);
  }

  :host([position='left']) div.flyout {
    border-right-style: solid;
    border-right-width: calc(var(--stroke-width) * 1px);
  }

  :host([position='right']) div.flyout {
    border-left-style: solid;
    border-left-width: calc(var(--stroke-width) * 1px);
  }

  div.exit {
    cursor: pointer;
    width: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
    height: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
    display: flex;
    justify-content: center;
    align-items: center;
  }

  div.header,
  div.content,
  div.footer {
    padding: 0 0 calc(var(--design-unit) * 2px);
  }

  div.exit:hover {
    background-color: var(--neutral-fill-hover);
    border-radius: calc(var(--stroke-width) * 3px);
  }
`;
