import { HorizontalScroll as FoundationHorizontalScroll, foundationHorizontalScrollShadowOptions, } from '@genesislcap/foundation-ui';
import { html } from '@microsoft/fast-element';
import { rapidHorizontalScrollStyles as styles } from './horizontal-scroll.styles';
import { rapidHorizontalScrollTemplate as template } from './horizontal-scroll.template';
/**
 * @tagname %%prefix%%-horizontal-scroll
 */
export class HorizontalScroll extends FoundationHorizontalScroll {
}
export const defaultHorizontalScrollConfig = {
    nextFlipper: html `
    <rapid-flipper
      @click="${(x) => x.scrollToNext()}"
      aria-hidden="${(x) => x.flippersHiddenFromAT}"
    ></rapid-flipper>
  `,
    previousFlipper: html `
    <rapid-flipper
      @click="${(x) => x.scrollToPrevious()}"
      direction="previous"
      aria-hidden="${(x) => x.flippersHiddenFromAT}"
    ></rapid-flipper>
  `,
};
export const rapidHorizontalScroll = HorizontalScroll.compose(Object.assign({ baseName: 'horizontal-scroll', template,
    styles, shadowOptions: foundationHorizontalScrollShadowOptions }, defaultHorizontalScrollConfig));
