import { html } from 'lit-html';
const meta = {
    title: 'Icon',
    component: 'rapid-icon',
};
export default meta;
const wrapperStyle = 'display: flex; width: 50%; justify-content: space-between;color: white;';
export const Default = {
    argTypes: {
        size: {
            control: 'select',
            options: [
                '2xs',
                'xs',
                'sm',
                'lg',
                'xl',
                '2xl',
                '1x',
                '2x',
                '3x',
                '4x',
                '5x',
                '6x',
                '7x',
                '8x',
                '9x',
                '10x',
            ],
        },
        variant: {
            control: 'select',
            options: ['solid', 'regular', 'brand'],
        },
    },
    args: {
        name: 'glasses',
        size: 'lg',
        variant: 'solid',
    },
    render: ({ name, size, variant }) => html `
    <rapid-icon
      style="color: white;"
      name="${name}"
      size="${size}"
      variant="${variant}"
    ></rapid-icon>
  `,
};
export const Multiple = {
    render: () => html `
    <div style="${wrapperStyle}">
      <rapid-icon name="glasses" size="1x"></rapid-icon>
      <rapid-icon name="amazon" size="2x" variant="brand"></rapid-icon>
      <rapid-icon name="amazon-pay" size="3x" variant="brand"></rapid-icon>
      <rapid-icon name="apple" size="4x" variant="brand"></rapid-icon>
      <rapid-icon name="chrome" size="5x" variant="brand"></rapid-icon>
      <rapid-icon name="ambulance" size="xs"></rapid-icon>
      <rapid-icon name="angry" size="1x"></rapid-icon>
      <rapid-icon variant="regular" name="angry" size="sm"></rapid-icon>
      <rapid-icon name="address-book" size="lg"></rapid-icon>
      <rapid-icon variant="regular" name="address-book" size="xl"></rapid-icon>
      <rapid-icon name="bookmark" size="2xl;"></rapid-icon>
      <rapid-icon variant="regular" name="bookmark" size="2xs"></rapid-icon>
    </div>
  `,
};
export const IconTooltips = {
    render: () => html `
    <div style="${wrapperStyle}">
      <rapid-icon tooltip="Rapid Icon Tooltip with dynamic ID"></rapid-icon>
      <rapid-icon
        tooltip="Rapid Icon Tooltip with custom ID"
        tooltip-id="custom-tooltip-id"
      ></rapid-icon>
      <rapid-icon error tooltip="Rapid Icon Tooltip with error"></rapid-icon>
    </div>
  `,
};
