import { foundationMenuItemStyles } from '@genesislcap/foundation-ui';
import { neutralFillStealthHover, neutralForegroundRest } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
export const rapidMenuItemStyles = (context, definition) => css `
  ${foundationMenuItemStyles(context, definition)}
  :host {
    margin: 0;

    --control-corner-radius: 0;

    background: var(--neutral-fill-stealth-rest);
    border-radius: calc(var(--control-corner-radius) * 1px);
  }

  :host(:hover) {
    background: color-mix(in srgb, ${neutralFillStealthHover}, transparent 15%);
    border: calc(var(--focus-stroke-width) * 1px) solid
      color-mix(in srgb, ${neutralFillStealthHover}, transparent 15%);
  }

  :host(:focus) {
    background: var(--neutral-fill-stealth-hover);
  }

  :host(.indent-0) {
    border-bottom: calc(var(--stroke-width) * 1px) solid var(--neutral-fill-stealth-hover);
  }

  /*
    UX team wants
    border: solid 1px #2E3339;
    background: #2E3339
    */

  /* 
      tokens being used by fast
        background: ${neutralFillStealthHover}
        color: ${neutralForegroundRest}
    */
`;
