import { multiselectStyles as foundationMultiselectStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const multiselectStyles = css `
  ${foundationMultiselectStyles}

  #display-field {
    height: calc(
      (((var(--base-height-multiplier) + var(--density)) * var(--design-unit)) - 6) * 1px
    );
    min-height: 0;
    outline: none;
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    background-color: color-mix(in srgb, var(--neutral-fill-input-rest), transparent 94%);
    color: var(--neutral-foreground-rest);
    padding: 0 calc((var(--design-unit) - 1) * 1px) 0 calc(var(--design-unit) * 2px);
    font-size: var(--type-ramp-base-font-size);
    line-height: var(--type-ramp-base-line-height);
    font-family: var(--body-font);
  }

  #display-field:focus {
    outline: none;
    border: calc(var(--stroke-width) * 1px) solid var(--accent-fill-rest);
    background-color: var(--neutral-layer-4);
  }

  #display-field:hover:not(:focus):not([disabled]) {
    outline: none;
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-hover);
  }

  .indicator {
    width: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
    height: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
    left: calc(
      100% - ((var(--base-height-multiplier) * (var(--design-unit) - 1)) + (var(--design-unit) - 1)) *
        1px
    );
    background-color: var(--neutral-fill-rest);
    border-radius: calc(var(--control-corner-radius) * 1px);
    display: flex;
    justify-content: center;
    align-items: center;
  }

  #arrow-icon {
    height: 1em;
    fill: var(--neutral-foreground-rest);
  }

  .label {
    color: var(--neutral-foreground-hint);
  }

  .options {
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
  }

  rapid-checkbox {
    border-bottom: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    padding: calc((var(--design-unit) + 1) * 1px) 0 calc((var(--design-unit) + 1) * 1px)
      calc((var(--design-unit) + 1) * 1px);
    margin: 0;
  }

  rapid-checkbox:hover:not([disabled]) {
    background: var(--neutral-layer-4);
  }

  rapid-checkbox::part(label) {
    overflow-x: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  rapid-checkbox[disabled] {
    cursor: not-allowed;
  }
`;
