import { html } from 'lit-html';
const meta = {
    title: 'Number Field',
    component: 'rapid-number-field',
};
export default meta;
export const Default = {
    args: {
        label: 'Number Field',
        placeholder: 'number',
        withFormatting: true,
        min: 1,
        max: 60000,
    },
    render: ({ placeholder, withFormatting, min, max, label }) => html `
    <div style="display: flex;flex-direction: column;">
      <rapid-number-field
        placeholder="${placeholder}"
        withFormatting="${withFormatting}"
        min="${min}"
        max="${max}"
      >
        ${label}
      </rapid-number-field>
    </div>
  `,
};
export const Examples = {
    args: {},
    render: () => html `
    <div style="display: flex;flex-direction: column;">
      <rapid-number-field placeholder="number" withFormatting>with formatting:</rapid-number-field>
      <rapid-number-field placeholder="number">without formatting:</rapid-number-field>
      <rapid-number-field placeholder="number" min="6" withFormatting>
        Min 6 - with formatting
      </rapid-number-field>
      <rapid-number-field placeholder="number" min="6" max="60">
        Min 6, Max 60 - without formatting
      </rapid-number-field>
      <rapid-number-field placeholder="number" min="1" value=${undefined}>
        Value is undefined (min 1)
      </rapid-number-field>
      <rapid-number-field placeholder="number" min="1" value=${null}>
        Value is null (min 1)
      </rapid-number-field>
    </div>
  `,
};
