import { css } from '@microsoft/fast-element';
export const rapidNumberFieldStyles = (context, definition) => css `
  :host {
    margin-bottom: calc(var(--design-unit) * 2px);
    flex: 1 1 auto;
    box-sizing: border-box;
  }

  :host([disabled]) {
    opacity: var(--disabled-opacity);
    cursor: not-allowed;
  }

  :host .control {
    height: 100%;
    width: 100%;
    border: none;
    background-color: transparent;
    padding: 0 calc(var(--design-unit) * 2px);
    color: var(--neutral-foreground-rest);
    font-size: var(--type-ramp-base-font-size);
    font-family: var(--body-font);
  }

  :host .root {
    --focus-stroke-outer: transparent;

    display: flex;
    position: relative;
    align-items: center;
    border-radius: calc(var(--control-corner-radius) * 1px);
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    background-color: color-mix(in srgb, var(--neutral-fill-input-rest), transparent 94%);
    height: calc(
      (((var(--base-height-multiplier) + var(--density)) * var(--design-unit)) - 4) * 1px
    );
  }

  :host(:hover:not([disabled])) .root {
    border-color: var(--neutral-stroke-hover);
    background: none;
  }

  :host(:focus-within:not([disabled])) .root {
    background-color: var(--neutral-layer-4);
    border: 1px solid var(--accent-fill-rest);
    box-shadow: none;
  }

  .label {
    display: block;
    color: var(--neutral-foreground-hint);
    font-weight: 700;
    margin: calc(var(--design-unit) * 2px) 0;
    font-family: var(--body-font);
    font-size: var(--type-ramp-base-font-size);
    line-height: var(--type-ramp-base-line-height);
  }

  .label-hidden {
    margin: 0;
  }

  .controls {
    position: absolute;
    right: 3px;
    width: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
    height: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
    background-color: var(--neutral-fill-rest);
    border-radius: calc(var(--control-corner-radius) * 1px);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    cursor: pointer;
  }

  .step-down,
  .step-up {
    width: 1em;
    height: 1em;
    margin: -2px;
  }

  .step-up-glyph,
  .step-down-glyph {
    fill: var(--neutral-foreground-hint);
  }

  .control:focus-visible {
    outline: none;
  }
`;
