import { html } from 'lit-html';
const meta = {
    title: 'Radio Group',
    component: 'rapid-radio-group',
};
export default meta;
const labelStyle = 'font-family: var(--body-font);color: var(--neutral-foreground-rest);';
export const Default = {
    args: {
        orientation: 'horizontal',
    },
    argTypes: {
        orientation: {
            control: 'select',
            options: ['horizontal', 'vertical'],
        },
    },
    render: ({ orientation }) => html `
    <rapid-radio-group orientation="${orientation}">
      <label slot="label" style=${labelStyle}>Rapid Radio Group (label slot)</label>
      <rapid-radio>Rapid label 1</rapid-radio>
      <rapid-radio>Rapid label 2</rapid-radio>
      <rapid-radio>Rapid label 3</rapid-radio>
    </rapid-radio-group>
  `,
};
export const Vertical = {
    args: {
        orientation: 'vertical',
    },
    argTypes: {
        orientation: {
            control: 'select',
            options: ['horizontal', 'vertical'],
        },
    },
    render: ({ orientation }) => html `
    <rapid-radio-group orientation="${orientation}">
      <label slot="label" style=${labelStyle}>Rapid Radio Group (label slot)</label>
      <rapid-radio>Rapid label 1</rapid-radio>
      <rapid-radio>Rapid label 2</rapid-radio>
      <rapid-radio>Rapid label 3</rapid-radio>
    </rapid-radio-group>
  `,
};
