import { designUnit, foundationSearchBarComboboxStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidSearchBarComboboxStyles = (context, definition) => css `
  ${foundationSearchBarComboboxStyles(context, definition)}

  :host {
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    background-color: color-mix(in srgb, var(--neutral-fill-input-rest), transparent 94%);
    height: calc(
      (((var(--base-height-multiplier) + var(--density)) * var(--design-unit)) - 4) * 1px
    );
  }

  :host(:focus-within:not([disabled])) {
    background-color: var(--neutral-layer-4);
    border: 1px solid var(--accent-fill-rest);
  }

  :host(:hover:not([disabled]):not([open])) {
    border-color: var(--neutral-stroke-hover);
    background: none;
  }

  :host([open][position='below']) .listbox {
    padding: 0;
    margin-top: calc(${designUnit} * 1px);
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    border-radius: calc(var(--control-corner-radius) * 1px);
  }

  :host .listbox ::slotted(*:last-child) {
    border-bottom: none;
  }
`;
