import { getCriteriaBuilder, INPUT_MIN_LENGTH } from '@genesislcap/foundation-ui';
import { html } from 'lit-html';
const meta = {
    title: 'Search Bar',
    component: 'rapid-search-bar',
};
export default meta;
export const Primary = {
    render: ({ searchConfig }) => html `
    <div style="height: 400px; width: 500px;">
      <rapid-search-bar .options="${searchConfig}"></rapid-search-bar>
    </div>
  `,
    args: {
        searchConfig: [
            {
                field: 'TRADE_NAME',
                label: (searchTerm) => `${searchTerm} as Trade Name`,
                createCriteria: getCriteriaBuilder,
                isEnabled: (searchTerm, selectedOption) => {
                    return (searchTerm.length >= INPUT_MIN_LENGTH &&
                        !selectedOption.some((e) => e.field === 'TRADE_NAME'));
                },
            },
            {
                field: 'INSTRUMENT_NAME',
                label: (searchTerm) => `${searchTerm} as Instrument Name`,
                createCriteria: getCriteriaBuilder,
                isEnabled: (searchTerm, selectedOption) => {
                    return (searchTerm.length >= INPUT_MIN_LENGTH &&
                        !selectedOption.some((e) => e.field === 'INSTRUMENT_NAME'));
                },
            },
            {
                field: 'USER_ID',
                label: (searchTerm) => `${searchTerm} as User ID`,
                createCriteria: getCriteriaBuilder,
                isEnabled: (searchTerm, selectedOption) => {
                    return (searchTerm.length >= INPUT_MIN_LENGTH &&
                        !selectedOption.some((e) => e.field === 'USER_ID'));
                },
            },
        ],
    },
};
