import { html } from 'lit-html';
const meta = {
    title: 'Segmented Control',
    component: 'rapid-segmented-control',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: column;';
export const Neutral = {
    args: {
        appearance: 'neutral',
    },
    argTypes: {
        appearance: {
            control: 'select',
            options: ['primary', 'neutral'],
        },
    },
    render: ({ appearance }) => html `
    <div style="${wrapperStyle}">
      <rapid-segmented-control appearance="${appearance}">
        <label slot="label">Neutral Segment Control (label slot)</label>
        <rapid-segmented-item>Segmented Item</rapid-segmented-item>
        <rapid-segmented-item>Segmented Item</rapid-segmented-item>
        <rapid-segmented-item>Segmented Item</rapid-segmented-item>
      </rapid-segmented-control>
    </div>
  `,
};
export const Primary = {
    args: {
        appearance: 'primary',
    },
    argTypes: {
        appearance: {
            control: 'select',
            options: ['primary', 'neutral'],
        },
    },
    render: ({ appearance }) => html `
    <div style="${wrapperStyle}">
      <rapid-segmented-control appearance="${appearance}">
        <label slot="label">Primary Segment Control (label slot)</label>
        <rapid-segmented-item>Segmented Item</rapid-segmented-item>
        <rapid-segmented-item>Segmented Item</rapid-segmented-item>
        <rapid-segmented-item>Segmented Item</rapid-segmented-item>
      </rapid-segmented-control>
    </div>
  `,
};
