import { foundationSegmentedControlStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidSegmentedControlStyles = (context, definition) => css `
  ${foundationSegmentedControlStyles(context, definition)}
  :host {
    font-family: var(--body-font);
  }

  :host ::slotted(*) {
    transition: color 0.4s ease 0s;
  }

  :host ::slotted(label) {
    color: var(--neutral-foreground-rest);
  }

  :host ::slotted(rapid-segmented-item:first-of-type) {
    border-radius: calc(var(--control-corner-radius) * 1px) 0 0
      calc(var(--control-corner-radius) * 1px);
    border-right-width: 0;
  }

  :host ::slotted(rapid-segmented-item:last-of-type) {
    border-radius: 0 calc(var(--control-corner-radius) * 1px)
      calc(var(--control-corner-radius) * 1px) 0;
    border-left-width: 0;
  }

  :host ::slotted(*[aria-checked='true']) {
    background: var(--neutral-fill-strong-rest);
    box-shadow: 2px 1000px 1px rgb(0 0 0 / 50%) inset;
  }

  :host([appearance='primary']) ::slotted(*[aria-checked='true']) {
    background: var(--accent-fill-rest);
    border-color: transparent;
    box-shadow: 2px 1000px 1px rgb(0 0 0 / 50%) inset;
  }
`;
