import { html } from 'lit-html';
const meta = {
    title: 'Slider',
    component: 'rapid-slider',
};
export default meta;
export const Default = {
    args: {
        value: '70',
        min: '0',
        max: '100',
        step: '10',
        orientation: 'horizontal',
    },
    argTypes: {
        orientation: {
            control: 'select',
            options: ['horizontal', 'vertical'],
        },
    },
    render: ({ value, min, max, step, orientation }) => html `
    <div style="min-height: 300px; width: 100%; color: white;">
      <rapid-slider
        min="${min}"
        max="${max}"
        step="${step}"
        value="${value}"
        orientation="${orientation}"
      ></rapid-slider>
    </div>
  `,
};
export const WithLabels = {
    render: () => html `
    <div style="min-height: 300px; width: 100%; margin: 20px;">
      <rapid-slider min="0" max="100" step="10" value="70">
        <rapid-slider-label position="0">0%</rapid-slider-label>
        <rapid-slider-label position="10">10%</rapid-slider-label>
        <rapid-slider-label position="90">90%</rapid-slider-label>
        <rapid-slider-label position="100">100%</rapid-slider-label>
      </rapid-slider>
    </div>
  `,
};
