import { foundationSliderStyles } from '@genesislcap/foundation-ui';
import { accentFillRest } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
export const rapidSliderStyles = (context, definition) => css `
  ${foundationSliderStyles(context, definition)}

  .thumb-cursor {
    background: var(--accent-fill-rest);
    border-radius: calc(var(--control-corner-radius) * 2px);
  }

  .thumb-cursor:hover,
  .thumb-cursor:focus,
  .thumb-cursor:active {
    background: var(--accent-fill-rest);
    border-radius: transparent;
  }

  :host(:focus-visible) .thumb-cursor {
    box-shadow: 0 0 0 0;
  }

  .thumb-cursor:hover::after,
  .thumb-cursor:focus::after,
  .thumb-cursor:active::after {
    content: '';
    height: calc(var(--thumb-size) * 2px);
    width: calc(var(--thumb-size) * 2px);
    border-radius: calc(var(--control-corner-radius) * 4px);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
  }

  .thumb-cursor:hover::after {
    background-color: color-mix(in srgb, ${accentFillRest}, transparent 90%);
  }

  .thumb-cursor:focus::after {
    background-color: color-mix(in srgb, ${accentFillRest}, transparent 80%);
  }

  .thumb-cursor:active::after {
    background-color: color-mix(in srgb, ${accentFillRest}, transparent 70%);
  }

  .track {
    background-color: var(--neutral-fill-rest);
  }

  :host([orientation='horizontal']) .track .track-progress {
    background-color: var(--neutral-stroke-rest);
    height: calc((var(--track-width) + 2) * 1px) !important;
  }

  :host([orientation='vertical']) .track .track-progress {
    background-color: var(--neutral-stroke-rest);
    width: calc((var(--track-width) + 2) * 1px) !important;
  }
`;
// apply classes to slider label on active state
