import { foundationStepperTabStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidStepperTabStyles = (context, definition) => css `
  ${foundationStepperTabStyles(context, definition)}

  rapid-tree-item {
    --design-unit: 2.5;
    --neutral-fill-stealth-rest: var(--neutral-layer-3);
    --neutral-fill-stealth-hover: var(--fill-color);
    --neutral-fill-rest: var(--fill-color);
    --base-height-multiplier: 14.5;

    border-bottom: calc(var(--stroke-width) * 1px) solid var(--fill-color);
  }

  .completed-icon {
    color: var(--success-color);
  }

  .tree-item::part(positioning-region)::before {
    width: var(--tree-item-nested-width);
  }

  .stepper-icon {
    margin-right: calc(var(--design-unit) * 2px);
  }

  .error-icon {
    color: var(--error-color);
  }

  .step-number {
    font-size: var(--type-ramp-minus-1-font-size);
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-fill-input-rest);
  }

  .step-title {
    font-size: var(--type-ramp-base-font-size);
  }

  .angle-icon {
    margin: 0 calc(var(--design-unit) * 4px);
  }

  :host([completed]) .step-number {
    border-color: var(--success-color);
    color: white;
    background-color: var(--success-color);
  }

  :host([completed]) .step-title {
    color: var(--success-color);
  }

  :host([error]) .step-number {
    border-color: var(--error-color);
    color: white;
    background-color: var(--error-color);
  }

  :host([error]) .step-title {
    color: var(--error-color);
  }
`;
