import { html } from 'lit-html';
const meta = {
    title: 'Stepper',
    component: 'rapid-stepper',
};
export default meta;
export const Vertical = {
    args: {
        orientation: 'vertical',
    },
    argTypes: {
        orientation: {
            control: 'select',
            options: ['vertical', 'horizontal'],
        },
    },
    render: ({ orientation }) => html `
    <div style="display:flex; min-height: 400px">
      <rapid-stepper orientation="${orientation}">
        <rapid-stepper-tab>Rapid stepper 1</rapid-stepper-tab>
        <rapid-stepper-tab>Rapid stepper 2</rapid-stepper-tab>
        <rapid-stepper-tab>Rapid stepper 3</rapid-stepper-tab>
        <rapid-stepper-tab>Rapid stepper 4</rapid-stepper-tab>
        <rapid-stepper-tab>Rapid stepper 5</rapid-stepper-tab>
        <rapid-stepper-tab-panel>Rapid Stepper Panel 1</rapid-stepper-tab-panel>
        <rapid-stepper-tab-panel>Rapid Stepper Panel 2</rapid-stepper-tab-panel>
        <rapid-stepper-tab-panel>Rapid Stepper Panel 3</rapid-stepper-tab-panel>
        <rapid-stepper-tab-panel>Rapid Stepper Panel 4</rapid-stepper-tab-panel>
        <rapid-stepper-tab-panel>Rapid Stepper Panel 5</rapid-stepper-tab-panel>
      </rapid-stepper>
    </div>
  `,
};
export const Horizontal = {
    args: {
        orientation: 'horizontal',
    },
    argTypes: {
        orientation: {
            control: 'select',
            options: ['vertical', 'horizontal'],
        },
    },
    render: ({ orientation }) => html `
    <div style="display:flex; min-height: 400px">
      <rapid-stepper orientation="${orientation}" hide-step-number>
        <rapid-stepper-tab>Rapid stepper 1</rapid-stepper-tab>
        <rapid-stepper-tab>Rapid stepper 2</rapid-stepper-tab>
        <rapid-stepper-tab>Rapid stepper 3</rapid-stepper-tab>
        <rapid-stepper-tab>Rapid stepper 4</rapid-stepper-tab>
        <rapid-stepper-tab-panel>Rapid Stepper Panel 1</rapid-stepper-tab-panel>
        <rapid-stepper-tab-panel>Rapid Stepper Panel 2</rapid-stepper-tab-panel>
        <rapid-stepper-tab-panel>Rapid Stepper Panel 3</rapid-stepper-tab-panel>
        <rapid-stepper-tab-panel>Rapid Stepper Panel 4</rapid-stepper-tab-panel>
      </rapid-stepper>
    </div>
  `,
};
