import { Tabs as FoundationTabs, defaultTabsConfig, foundationTabsShadowOptions, } from '@genesislcap/foundation-ui';
import { parseColorHexRGB } from '@microsoft/fast-colors';
import { SwatchRGB } from '@microsoft/fast-components';
import { rapidTabsStyles as styles } from './tabs.styles';
import { rapidTabsTemplate as template } from './tabs.template';
export const swatchFromColor = (hexColor) => {
    const color = parseColorHexRGB(hexColor);
    if (color) {
        return SwatchRGB.from(color);
    }
    return null;
};
// neutralFillRest.withDefault(swatchFromColor('#1f282d'));
export class Tabs extends FoundationTabs {
}
export const rapidTabs = Tabs.compose(Object.assign({ baseName: 'tabs', template,
    styles, shadowOptions: foundationTabsShadowOptions }, defaultTabsConfig));
