import { html } from 'lit-html';
const meta = {
    title: 'Tabs',
    component: 'rapid-tabs',
};
export default meta;
const cardStyle = 'height: 50%; width: 70%; padding: 16px;';
export const Default = {
    args: {
        appearance: 'primary',
    },
    argTypes: {
        appearance: {
            control: 'select',
            options: ['primary', 'secondary'],
        },
    },
    render: ({ appearance }) => html `
    <rapid-card style="${cardStyle}">
      <rapid-tabs appearance="${appearance}">
        <span part="start" class="start" slot="start">Blotter</span>
        <rapid-tab appearance="${appearance}">Rapid Tab 1</rapid-tab>
        <rapid-tab appearance="${appearance}" slot="tab">Rapid Tab 2</rapid-tab>
        <rapid-tab appearance="${appearance}" slot="tab">Rapid Tab 3</rapid-tab>
        <rapid-tab appearance="${appearance}" slot="tab">Rapid Tab 4</rapid-tab>
        <rapid-tab-panel slot="tabpanel">Rapid Tab Panel 1</rapid-tab-panel>
        <rapid-tab-panel slot="tabpanel">Rapid Tab Panel 2</rapid-tab-panel>
        <rapid-tab-panel slot="tabpanel">Rapid Tab Panel 3</rapid-tab-panel>
        <rapid-tab-panel slot="tabpanel">Rapid Tab Panel 4</rapid-tab-panel>
      </rapid-tabs>
    </rapid-card>
  `,
};
export const Nested = {
    render: () => html `
    <rapid-card style="${cardStyle}">
      <rapid-tabs>
        <span part="start" class="start" slot="start">Blotter</span>
        <rapid-tab>Rapid Tab 1</rapid-tab>
        <rapid-tab slot="tab">Rapid Tab 2</rapid-tab>
        <rapid-tab slot="tab">Rapid Tab 3</rapid-tab>
        <rapid-tab slot="tab">Rapid Tab 4</rapid-tab>
        <rapid-tab-panel slot="tabpanel">
          <rapid-tabs appearance="secondary">
            <rapid-tab appearance="secondary" slot="tab">Rapid Nested Tab 1</rapid-tab>
            <rapid-tab appearance="secondary" slot="tab">Rapid Nested Tab 2</rapid-tab>
            <rapid-tab-panel slot="tabpanel">Rapid Nested Tab Panel 1</rapid-tab-panel>
            <rapid-tab-panel slot="tabpanel">Rapid Nested Tab Panel 2</rapid-tab-panel>
          </rapid-tabs>
        </rapid-tab-panel>
        <rapid-tab-panel slot="tabpanel">Rapid Tab Panel 2</rapid-tab-panel>
        <rapid-tab-panel slot="tabpanel">Rapid Tab Panel 3</rapid-tab-panel>
        <rapid-tab-panel slot="tabpanel">Rapid Tab Panel 4</rapid-tab-panel>
      </rapid-tabs>
    </rapid-card>
  `,
};
