import { foundationTabsStyles } from '@genesislcap/foundation-ui';
import { density, designUnit, neutralLayer3 } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
export const rapidTabsStyles = (context, definition) => css `
  ${foundationTabsStyles(context, definition)}
  :host {
    --base-height-multiplier: 9;

    /* UX team wants this color
      --neutral-fill-rest: #1f282d;
      */
  }

  :host .tablist {
    padding: 0;
    display: grid;
    border-bottom: calc(var(--stroke-width) * 1px) solid ${neutralLayer3};
    width: max-content;
  }

  :host .end,
  :host .start {
    padding: 0 calc((16 + ${designUnit} * 2 * ${density}) * 1px);
    height: calc(100% - 1px);
    display: flex;
    align-items: center;
    background-color: var(--neutral-layer-3);
  }

  ::slotted([slot='tab']:hover) {
    color: var(--neutral-foreground-rest);
    background: var(--neutral-layer-1);
  }

  ::slotted([role='tab']) {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    background: var(--neutral-layer-3);
    /* stylelint-disable color-function-notation */
    box-shadow: 0 0 15px rgba(0, 0, 0, 35%);
    padding: 0 calc((16 + ${designUnit} * 2 * ${density}) * 1px);
    margin-right: calc((var(--design-unit) -1) * 1px);
  }

  ::slotted([role='tab'][aria-selected='true']) {
    color: var(--accent-foreground-rest);
    background: var(--neutral-layer-4);
  }

  /* stylelint-disable selector-class-pattern */
  .activeIndicator {
    display: none;
  }

  :host([appearance='secondary']) .tablist .activeIndicator {
    display: block;
    height: 1px;
    margin-top: unset;
  }

  ::slotted([role='tab'][aria-selected='true'][appearance='secondary']) {
    background: none;
  }

  ::slotted([role='tab'][appearance='secondary']) {
    margin-left: 0;
    box-shadow: none;
    background: none;
  }

  :host([appearance='secondary']:hover) {
    color: var(--neutral-foreground-rest);
    background: none;
  }

  :host([orientation='horizontal']) ::slotted([role='tabpanel'][slot='tabpanel']) {
    padding: 0 calc((3 + (var(--design-unit) * 2 * var(--density))) * 1px);
  }
`;
