import { html } from 'lit-html';
const meta = {
    title: 'Text Area',
    component: 'rapid-text-area',
};
export default meta;
export const DEfault = {
    args: {
        value: 'some sample text',
        placeholder: 'Enter text...',
        label: 'Text Area',
        disabled: false,
        resize: 'both',
    },
    argTypes: {
        resize: {
            control: 'select',
            options: ['both', 'vertical', 'horizontal', 'none'],
        },
    },
    render: ({ placeholder, label, value, resize, disabled }) => html `
    <div style="height: 200px;">
      <rapid-text-area
        resize="${resize}"
        placeholder="${placeholder}"
        value="${value}"
        .disabled="${disabled}"
      >
        ${label}
      </rapid-text-area>
    </div>
  `,
};
