import { foundationTextAreaStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidTextAreaStyles = (context, definition) => css `
  ${foundationTextAreaStyles(context, definition)}

  :host {
    display: block;
    flex: 1 1 auto;
    box-sizing: border-box;
  }

  :host .control {
    height: 100%;
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    background-color: color-mix(in srgb, var(--neutral-fill-input-rest), transparent 94%);
    border-radius: calc(var(--control-corner-radius) * 1px);
  }

  :host(:hover:not([disabled])) .control {
    border-color: var(--neutral-stroke-hover);
    background: none;
  }

  :host(:focus-within:not([disabled])) .control {
    background-color: var(--neutral-layer-4);
    border: 1px solid var(--accent-fill-rest);
    box-shadow: none;
  }

  .label {
    color: var(--neutral-foreground-hint);
    font-weight: 700;
    margin: calc(var(--design-unit) * 2px) 0;
  }
`;
