import { html } from 'lit-html';
const meta = {
    title: 'Text Field',
    component: 'rapid-text-field',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: column;';
export const Default = {
    args: {
        value: 'some sample text',
        placeholder: 'Enter text...',
        label: 'Text Field',
        disabled: false,
    },
    render: ({ placeholder, label, value, resize, disabled }) => html `
    <div style="${wrapperStyle}">
      <rapid-text-field placeholder="${placeholder}" value="${value}" .disabled="${disabled}">
        ${label}
      </rapid-text-field>
    </div>
  `,
};
export const DateTime = {
    render: () => html `
    <div style="${wrapperStyle}">
      <rapid-text-field type="datetime-local">Datetime local type</rapid-text-field>
      <rapid-text-field type="datetime-local" step=".001">
        Datetime local with step attr
      </rapid-text-field>
    </div>
  `,
};
