import { foundationTextFieldStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidTextFieldStyles = (context, definition) => css `
  ${foundationTextFieldStyles(context, definition)}

  :host {
    margin-bottom: calc(var(--design-unit) * 2px);
    display: block;
    flex: 1 1 auto;
    box-sizing: border-box;
  }

  :host .control {
    height: 100%;
    border-radius: calc(var(--control-corner-radius) * 1px);
    padding: 0 calc(var(--design-unit) * 2px);
  }

  :host .root {
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    background-color: color-mix(in srgb, var(--neutral-fill-input-rest), transparent 94%);
    height: calc(
      (((var(--base-height-multiplier) + var(--density)) * var(--design-unit)) - 4) * 1px
    );
  }

  :host(:hover:not([disabled])) .root {
    border-color: var(--neutral-stroke-hover);
    background: none;
  }

  :host(:focus-within:not([disabled])) .root {
    background-color: var(--neutral-layer-4);
    border: 1px solid var(--accent-fill-rest);
    box-shadow: none;
  }

  .label {
    color: var(--neutral-foreground-hint);
    font-weight: 700;
    margin: calc(var(--design-unit) * 2px) 0;
  }

  .label-hidden {
    margin: 0;
  }
`;
// TODO: Add styles for help text and error text and also end slot icons
