import { html } from 'lit-html';
const meta = {
    title: 'Toast',
    component: 'rapid-toast',
};
export default meta;
export const Default = {
    args: {
        notify: 'warning',
    },
    argTypes: {
        notify: {
            control: 'select',
            options: ['warning', 'success', 'critical', 'primary', 'serious'],
        },
    },
    render: ({ notify }) => html `
    <div style="position: absolute; right: 0; top: 0; display: flex; flex-direction: column;">
      <rapid-toast notify="${notify}">
        <span slot="top">Toast title</span>
        <span slot="content">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Lorem ipsum dolor sit amet.
          Lorem, ipsum dolor.
        </span>
        <span slot="date">Today 14:28</span>
      </rapid-toast>
    </div>
  `,
};
export const Examples = {
    render: () => html `
    <div style="position: absolute; right: 0; top: 0; display: flex; flex-direction: column">
      <rapid-toast notify="warning">
        <span slot="top">Toast title</span>
        <span slot="content">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Lorem ipsum dolor sit amet.
          Lorem, ipsum dolor.
        </span>
        <span slot="date">Today 14:28</span>
      </rapid-toast>
      <rapid-toast notify="success">
        <span slot="top">Toast title</span>
        <span slot="date">Today 14:28</span>
      </rapid-toast>
      <rapid-toast notify="critical">
        <span slot="top">Toast title</span>
      </rapid-toast>
      <rapid-toast>
        <span slot="top">Toast title</span>
        <span slot="content">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Lorem ipsum dolor sit amet.
          Lorem, ipsum dolor.
        </span>
        <span slot="date">Today 14:28</span>
        <rapid-button appearance="primary-gradient" slot="bottom">Close notification</rapid-button>
      </rapid-toast>
    </div>
  `,
};
