import { foundationToastStyles } from '@genesislcap/foundation-ui';
import { neutralLayer1 } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
// See https://www.fast.design/docs/fast-element/leveraging-css/, https://www.fast.design/docs/design-systems/fast-frame
export const rapidToastStyles = css `
  ${foundationToastStyles}
  .toast {
    background-color: ${neutralLayer1};
    border-radius: calc(var(--control-corner-radius) * 2px) calc(var(--control-corner-radius) * 2px);
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
  }

  .top {
    align-items: flex-start;
  }

  :host {
    font-size: var(--type-ramp-base-font-size);
    font-family: var(--body-font);
    line-height: var(--type-ramp-base-line-height);
    color: var(--neutral-foreground-rest);
  }

  .content {
    font-size: var(--type-ramp-minus-1-font-size);
  }

  .date {
    margin: calc(var(--design-unit) * 2px) calc(var(--design-unit) * 0)
      calc(var(--design-unit) * 1px);
  }

  .content-wrapper {
    padding: calc(var(--design-unit) * 2px) calc(var(--design-unit) * 1px)
      calc(var(--design-unit) * 1px) calc(var(--design-unit) * 2px);
  }

  .toast::after {
    background-color: var(--accent-fill-rest);
    border-radius: 0;
    height: calc(100% - calc(var(--design-unit) * 5px));
    margin: calc(var(--design-unit) * 0) calc(var(--design-unit) * 1px);
  }

  :host([notify='warning']) .toast::after {
    background-color: var(--warning-color);
  }

  :host([notify='success']) .toast::after {
    background-color: var(--success-color);
  }

  :host([notify='critical']) .toast::after {
    background-color: var(--error-color);
  }

  :host([notify='serious']) .toast::after {
    background-color: var(--error-color);
  }
`;
