import { foundationTreeItemStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidTreeItemStyles = (context, definition) => css `
  ${foundationTreeItemStyles(context, definition)}
  :host {
    font-size: var(--type-ramp-base-font-size);
    color: var(--neutral-foreground-rest);
    background-color: transparent;
  }

  :host(.nested) .expand-collapse-button {
    background: var(--neutral-fill-rest);
    border-radius: calc(var(--control-corner-radius) * 1px);
    width: calc(var(--design-unit) * 5px);
    height: calc(var(--design-unit) * 5px);
    margin-left: calc(var(--design-unit) * 2px);
  }

  :host([selected]) .positioning-region {
    background: var(--neutral-fill-stealth-active);
  }

  .positioning-region::before {
    width: calc(var(--design-unit) * 1px);
  }

  :host([selected])::after {
    background: var(--accent-fill-rest);
    background-origin: border-box;
    background-size: cover;
    background-repeat: no-repeat;
  }

  :host([slot='item']) .content-region {
    margin-inline-start: calc(var(--design-unit) * 4px + var(--expand-collapse-button-size));
  }

  .expand-collapse-glyph {
    width: calc(var(--design-unit) * 3px);
    height: calc(var(--design-unit) * 3px);
  }
`;
