import { parseColorHexRGB } from '@microsoft/fast-colors';
import { PaletteRGB, SwatchRGB } from '@microsoft/fast-components';
export const paletteFromHex = (hexColor) => PaletteRGB.from(SwatchRGB.from(parseColorHexRGB(hexColor)));
const defaultExclusions = ['baseClass', 'baseName', 'shadowOptions', 'styles', 'template'];
export const getDefaultConfig = (definition, exclusions = defaultExclusions) => {
    const keys = Object.keys(definition).filter((k) => !exclusions.includes(k));
    return keys.reduce((accumulator, key) => {
        accumulator[key] = definition[key];
        return accumulator;
    }, {});
};
export const getExports = (registrationFunction) => {
    const { definition } = registrationFunction();
    const { shadowOptions, styles, template } = definition;
    const defaultConfig = getDefaultConfig(definition);
    return { shadowOptions, styles, template, defaultConfig };
};
export * from './behaviors';
